<?php namespace App\Models\Admin;

use App\Models\Project\DatatableModel;

class BannersModel extends AdminModel{
	private $table;
	
    public function __construct(){
		parent::__construct();
		$this->table = "upload";
    }
	
	public function get_datatable(){
		$dtObj = new DatatableModel($this->db);
		$dtObj->set_table($this->table);
		// Set Datatable columns 
		$dtObj->set_column('upload_id', 'desc|sort|search', 'RecordID');
		$dtObj->set_column('title','sort|search');
		$dtObj->set_column('file_name', 'sort|search');
		$dtObj->set_column('upload_id', '', 'copy_file_path');
		$dtObj->set_column('status', 'sort|search');
		$builder = $dtObj->get_builder();
		$builder->where('is_deleted','No');
	    return $dtObj->get_data($builder);
	}
	
	public function get($upload_id){
		$builder = $this->db->table($this->table);
		$query = $builder->where('upload_id',$upload_id)->get();
		return $query->getRowArray();
	}
	
	public function insert($data){
		 
		$this->add_insert_log($data);
		$builder = $this->db->table($this->table);
		$builder->insert($data);
	}
	
	public function update($data, $upload_id){
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('upload_id',$upload_id);
		$builder->update($data);
	}
	
	public function delete($upload_id){
		$data['is_deleted'] = "Yes";
		$this->add_update_log($data);
		$builder = $this->db->table($this->table);
		$builder->where('upload_id',$upload_id)
				->update($data);
	}
	
	public function is_unique_title($title,$upload_id){
		$builder = $this->db->table($this->table);
		$builder->where('is_deleted','No')
				->where('title',$title);
		if($upload_id){
			$builder->where('upload_id!=',$upload_id);
		}
		$query = $builder->get();
		if($query->getRowArray()){
			$response = "FALSE|The Title already exist!";
		}else{
			$response = "TRUE|";
		}
		return $response;
	}	
}